.Card {
  border-radius: 1px;
  background-color: $card-background-color;
  margin-bottom: 15px;
  box-sizing: border-box;
  box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16), 0 2px 5px 0 rgba(0, 0, 0, 0.23);

  &__header {
    position: relative;
    padding: 10px 10px 5px 10px;
  }

  &__title {
    margin: 5px 0;
  }

  &__icon {
    position: absolute;
    top: 15px;
    right: 10px;
    width: 30px;
    height: 30px;

    img {
      width: 100%;
      height: 100%;
    }
  }

  &__media {
    width: 100%;
  }

  &__body {
    padding: 0 10px 10px;

    &--no-padding {
      padding: 0;
    }
  }

  &__spinner {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 25px 0;
  }

  &__footer {
    padding: 0 7px;
    background-color: $card-footer-background-color;
    box-shadow: inset 0 1px 1.5px 0 rgba(0, 0, 0, 0.12);
  }

  &__footer-item {
    margin: 0;
    padding: 7px;
    font-size: 0.75rem;
    text-align: center;

    &:empty {
      display: none;
    }
  }

  &__footer-item:not(:last-child) {
    border-bottom: 1px solid $card-background-color;
  }

  &--success {
    border-top: 3px solid $success-color;
  }

  &--info {
    border-top: 3px solid $info-color;
  }

  &--warning {
    border-top: 3px solid $warning-color;
  }

  &--error {
    border-top: 3px solid $error-color;
  }
}
